package com.ruoyi.system.domain.task.dto;

import java.util.Date;

public class TkCommonTaskParams {
    private String id;
    /**
     * 任务名称
     *
     * @mbg.generated
     */
    private String tkName;
    /**
     * 发布时间
     *
     * @mbg.generated
     */
    private Date releaseTime;
    /**
     * 任务地址
     *
     * @mbg.generated
     */
    private String tkAddress;
    /**
     * 事件类型一的值
     *
     * @mbg.generated
     */
    private String itemOneTypeValue;
    /**
     * 事件类型一的名字
     *
     * @mbg.generated
     */
    private String itemOneTypeName;
    /**
     * 事件类型二的值
     *
     * @mbg.generated
     */
    private String itemTwoTypeValue;
    /**
     * 事件类型二的名字
     *
     * @mbg.generated
     */
    private String itemTwoTypeName;

    /**
     * 优先级-普通0-1重要-2紧急
     *
     * @mbg.generated
     */
    private Integer priorityType;
    /**
     * 任务详情
     *
     * @mbg.generated
     */
    private String tkDetail;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTkName() {
        return tkName;
    }

    public void setTkName(String tkName) {
        this.tkName = tkName;
    }

    public Date getReleaseTime() {
        return releaseTime;
    }

    public void setReleaseTime(Date releaseTime) {
        this.releaseTime = releaseTime;
    }

    public String getTkAddress() {
        return tkAddress;
    }

    public void setTkAddress(String tkAddress) {
        this.tkAddress = tkAddress;
    }

    public String getItemOneTypeValue() {
        return itemOneTypeValue;
    }

    public void setItemOneTypeValue(String itemOneTypeValue) {
        this.itemOneTypeValue = itemOneTypeValue;
    }

    public String getItemOneTypeName() {
        return itemOneTypeName;
    }

    public void setItemOneTypeName(String itemOneTypeName) {
        this.itemOneTypeName = itemOneTypeName;
    }

    public String getItemTwoTypeValue() {
        return itemTwoTypeValue;
    }

    public void setItemTwoTypeValue(String itemTwoTypeValue) {
        this.itemTwoTypeValue = itemTwoTypeValue;
    }

    public String getItemTwoTypeName() {
        return itemTwoTypeName;
    }

    public void setItemTwoTypeName(String itemTwoTypeName) {
        this.itemTwoTypeName = itemTwoTypeName;
    }

    public Integer getPriorityType() {
        return priorityType;
    }

    public void setPriorityType(Integer priorityType) {
        this.priorityType = priorityType;
    }

    public String getTkDetail() {
        return tkDetail;
    }

    public void setTkDetail(String tkDetail) {
        this.tkDetail = tkDetail;
    }
}
